
Name:          sun-ws-metadata-2.0-api
Version:       1.0
%define subrel 1
Release:       %mkrel 3
Summary:       Web Services Metadata 2.0 MR API
Group:         Development/Java
License:       CDDL, GPLv2
Url:           http://jcp.org/en/jsr/summary?id=181
Source0:       http://download.java.net/maven/1/javax.jws/java-sources/jsr181-api-1.0-MR1-sources.jar
Source1:       http://download.java.net/maven/1/javax.jws/poms/jsr181-api-1.0-MR1.pom
Source2:       sun-ws-metadata-2.0-api-build.properties
Source3:       sun-ws-metadata-2.0-api-build.xml

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch


%description
Web Services Metadata for the Java Platform 2.0 Maintenance Release
according to JSR-181.
This is JSR-181 MR1 in fact, which changed its version from 1.0 to 2.0.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Web Services Metadata 2.0 MR API.

This package contains javadoc for %{name}.

%prep
%setup -q -c %{name}-%{version}
mkdir -p src/java
mv javax src/java
cp %{SOURCE2} build.properties
cp %{SOURCE3} build.xml

%build
export JAVA_HOME=/usr/lib/jvm/java
ant release
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 jws.jar %{buildroot}%{_javadir}/%{name}.jar

# TODO manage with alternatives
#(
#	cd %{buildroot}%{_javadir}
#	ln -s %{name}.jar ws_metadata_2_0_api.jar
#	ln -s %{name}.jar ws_metadata_api.jar
#)

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/release/docs/javadocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 519363
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 383760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 06 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132018
- Build with Java6
- Clean spec file

  + gil <gil>
    - imported package sun-ws-metadata-2.0-api


* Sun Jul 31 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

